## Name

systemd-hostnamed.service, systemd-hostnamed — systemd Hostname Bus Mechanism

## Synopsis

`systemd-hostnamed.service`

`/usr/lib/systemd/systemd-hostnamed`

## Description

`systemd-hostnamed` is a system service that may be used as mechanism to change the system hostname. `systemd-hostnamed` is automatically activated on request and terminates itself when it is unused.

See the developer documentation for information about the APIs `systemd-hostnamed` provides.

## See Also

systemd(1), hostname(5), sethostname(2), machine-info(5)